﻿namespace HeuristicLab.Algorithms.PushGP.Generators {
  using System.Threading;

  using HeuristicLab.Algorithms.PushGP.Data.Random;
  using HeuristicLab.Core;

  public static class IntegerGenerator {
    private static readonly ThreadLocal<IRandom> rand = RandomFactory.GetRandom();

    public static long RandomInteger(int min = int.MinValue, int max = int.MaxValue) {
      return rand.Value.Next(min, max);
    }
  }
}